CVE-2006-0522
CVSS7.5
发布时间 :2006-02-02 06:02:00
修订时间 :2011-03-07 21:30:14
NMCOS    

[原文]SQL injection vulnerability in the Authentication Servlet in Symantec Sygate Management Server (SMS) version 4.1 build 1417 and earlier allows remote attackers to execute arbitrary SQL commands and bypass authentication via unknown attack vectors related to a URL.


[CNNVD]Symantec Sygate Management Server认证Applet远程SQL注入漏洞(CNNVD-200602-020)

        Sygate Management Server是Sygate安全套件的管理端服务器,可以管理所有Sygate Security节点,定义和强制安全策略、配置监控网络的安全性。
        Sygate Management Server处理用户请求时存在输入验证漏洞,远程攻击者可能利用此漏洞对服务器执行SQL注入攻击,非授权访问控制数据库。Sygate Management Server的Sygate.Servlet.login Applet对用户提交的uid参数未做充分地检查过滤,远程攻击者可以在输入中插入SQL命令非授权操作数据库。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:symantec:sygate_management_server:4.0_mr_1_build_1104_english
cpe:/a:symantec:sygate_management_server:3.5_mr_3_build_894_english
cpe:/a:symantec:sygate_management_server:4.1_mr1_build_1351_chinese
cpe:/a:symantec:sygate_management_server:4.1_mr_2_build_1417_english
cpe:/a:symantec:sygate_management_server:4.1_ga_build_1258_japanese

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0522
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0522
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-020
(官方数据源) CNNVD

- 其它链接及资源

http://securityresponse.symantec.com/avcenter/security/Content/2006.02.01.html
(VENDOR_ADVISORY)  CONFIRM  http://securityresponse.symantec.com/avcenter/security/Content/2006.02.01.html
http://www.vupen.com/english/advisories/2006/0402
(UNKNOWN)  VUPEN  ADV-2006-0402
http://xforce.iss.net/xforce/xfdb/24413
(UNKNOWN)  XF  symantec-sms-sql-injection(24413)
http://www.securityfocus.com/bid/16452
(UNKNOWN)  BID  16452
http://www.osvdb.org/22883
(UNKNOWN)  OSVDB  22883
http://securitytracker.com/id?1015561
(UNKNOWN)  SECTRACK  1015561
http://secunia.com/advisories/18689
(UNKNOWN)  SECUNIA  18689

- 漏洞信息

Symantec Sygate Management Server认证Applet远程SQL注入漏洞
高危 SQL注入
2006-02-02 00:00:00 2006-02-02 00:00:00
远程  
        Sygate Management Server是Sygate安全套件的管理端服务器,可以管理所有Sygate Security节点,定义和强制安全策略、配置监控网络的安全性。
        Sygate Management Server处理用户请求时存在输入验证漏洞,远程攻击者可能利用此漏洞对服务器执行SQL注入攻击,非授权访问控制数据库。Sygate Management Server的Sygate.Servlet.login Applet对用户提交的uid参数未做充分地检查过滤,远程攻击者可以在输入中插入SQL命令非授权操作数据库。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        http://securityresponse.symantec.com/avcenter/security/Content/2006.02.01.html

- 漏洞信息

22883
Sygate Management Server Authentication Applet SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

Sygate Management Server contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the authentication servlet not properly sanitizing user-supplied input to unspecified variable(s). This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-02-02 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Symantec Corporation has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

Symantec Sygate Management Server SMS Authentication Servlet SQL Injection Vulnerability
Input Validation Error 16452
Yes No
2006-02-01 12:00:00 2007-06-27 06:48:00
Discovered by Guillaume Goutaudier.

- 受影响的程序版本

Symantec Sygate Management Server Japanese Version 4.1 GA build 1258
Symantec Sygate Management Server English version 4.1 MR 2 build 1417
Symantec Sygate Management Server English version 4.0 MR 1 build 1104
Symantec Sygate Management Server English version 3.5 MR 3 build 894
Symantec Sygate Management Server Chinese Version 4.1 MR1 build 1351

- 漏洞讨论

Symantec Sygate Management Server is prone to an SQL-injection vulnerability.

The vulnerability specifically affects the SMS Authentication Servlet component of the server.

A remote attacker can pass malicious input to database queries through HTTP GET requests, resulting in modification of query logic or other attacks.

This issue can allow attackers to overwrite the password of any account on the server. This can facilitate a complete compromise if the attacker can overwrite the administrator password.

- 漏洞利用

An exploit is not required.

A proof of concept is available.

- 解决方案

Symantec has released SYM06-002 to address this issue. Please see the referenced advisory for more information.

The Japanese version of SMS is distributed through Macnica Inc. Customers are advised to contact their Macnica Support representative to obtain the update.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站